| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Friends | List of all members
cv::TLSDataContainer Class Referenceabstract
Core functionality » Utility and system functions and macros

`#include <opencv2/core/utils/tls.hpp>`

Inheritance diagram for cv::TLSDataContainer:

## Public Member Functions
void | cleanup ()
| Release created TLS data container objects. It is similar to release() call, but it keeps TLS container valid. More...

## Protected Member Functions
| TLSDataContainer ()
virtual | ~TLSDataContainer ()
virtual void * | createDataInstance () const =0
virtual void | deleteDataInstance (void *pData) const =0
void | detachData (std::vector< void *> &data)
| get TLS data and detach all data from threads (similar to cleanup() call) More...
void | gatherData (std::vector< void *> &data) const
void * | getData () const
void | release ()

## Friends
class | cv::details::TlsStorage

## Detailed Description

TLS container base implementation

Don't use directly.

See also
  TLSData, TLSDataAccumulator templates

## Constructor & Destructor Documentation

## ◆ TLSDataContainer()

cv::TLSDataContainer::TLSDataContainer | ( |  | ) |
| protected

## ◆ ~TLSDataContainer()

virtual cv::TLSDataContainer::~TLSDataContainer | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ cleanup()

void cv::TLSDataContainer::cleanup | ( |  | ) |

Release created TLS data container objects. It is similar to release() call, but it keeps TLS container valid.

## ◆ createDataInstance()

virtual void* cv::TLSDataContainer::createDataInstance | ( |  | ) | const
| protected pure virtual

Implemented in cv::TLSDataAccumulator< T >, cv::TLSDataAccumulator< cv::instr::NodeDataTls >, cv::TLSData< T >, and cv::TLSData< cv::instr::NodeDataTls >.

## ◆ deleteDataInstance()

virtual void cv::TLSDataContainer::deleteDataInstance | ( | void * | pData | ) | const
| protected pure virtual

Implemented in cv::TLSDataAccumulator< T >, cv::TLSDataAccumulator< cv::instr::NodeDataTls >, cv::TLSData< T >, and cv::TLSData< cv::instr::NodeDataTls >.

## ◆ detachData()

void cv::TLSDataContainer::detachData | ( | std::vector< void *> & | data | ) |
| protected

get TLS data and detach all data from threads (similar to cleanup() call)

## ◆ gatherData()

void cv::TLSDataContainer::gatherData | ( | std::vector< void *> & | data | ) | const
| protected

Deprecated:
  use detachData() instead

## ◆ getData()

void* cv::TLSDataContainer::getData | ( |  | ) | const
| protected

## ◆ release()

void cv::TLSDataContainer::release | ( |  | ) |
| protected

## Friends And Related Function Documentation

## ◆ cv::details::TlsStorage

friend class cv::details::TlsStorage
| friend

The documentation for this class was generated from the following file:

- opencv2/core/utils/tls.hpp